[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

Classes | List of all members
ConvexHullFeatures Class Reference

Compute object features related to the convex hull. More...

`#include <vigra/accumulator.hxx>`

## Classes

struct | Impl
| Result type of the covex hull feature calculation. More...

## Detailed Description

Compute object features related to the convex hull.

AccumulatorChain must be used with CoupledIterator in order to have access to pixel coordinates. The convex hull features are only available when WITH_LEMON is set.

Minimal example how to calculate the features:

// "labels" is the array with the region labels
MultiArrayView<2, int> labels = ...;
// Set up the accumulator chain and ignore the zero label
AccumulatorChainArray<
CoupledArrays<2, int>,
Select<LabelArg<1>, ConvexHullFeatures> > chain;
chain.ignoreLabel(0);
// Extract the features
extractFeatures(labels, chain);
// Finalize the calculation for label 1
getAccumulator<ConvexHullFeatures>(chain, 1).finalize();
// Get the features
... = getAccumulator<ConvexHullFeatures>(chain, 1).inputCenter();
vigra::MultiArrayView
Base class for, and view to, MultiArray.
Definition multi_array.hxx:705
vigra::acc::AccumulatorChainArray
Create an array of accumulator chains containing the selected per-region and global statistics and th...
Definition accumulator.hxx:2383
vigra::acc::ConvexHullFeatures
Compute object features related to the convex hull.
Definition accumulator.hxx:6380
vigra::acc::getAccumulator
LookupTag< TAG, A >::reference getAccumulator(A &a)
Definition accumulator.hxx:2910
vigra::acc::extractFeatures
void extractFeatures(...)
vigra::CoupledArrays
Definition multi_iterator_coupled.hxx:731
vigra::acc::Select
Wrapper for MakeTypeList that additionally performs tag standardization.
Definition accumulator.hxx:408

The documentation for this class was generated from the following file:

- vigra/accumulator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.4